<app-title [title]="'Liste de tes parents'"></app-title>
<div class="has-left-margin has-margin-top-3 is-flex is-align-center is-space-between">
<div>
  <div>
    <span #Number [style.visibility]="'hidden'">{{numberNotif}}</span>
    <img #Bell (click)="openNotif()" [src]="img">
  </div>
  <div class="is-flex" *ngIf="notif">
    <div [className]="isMobile ? 'test cut-mobile' : 'test cut'">
      <table class="table font has-margin-left-4 has-margin-top-1 has-margin-bottom-1  has-margin-right-4">
        <tbody>
          <tr class="tr-notif" *ngFor="let ask of listAsks; let i = index">
              <td [style.Color]="'black'">
                  {{ask.name}} vous demande comme parent.
              </td>
              <td *ngIf="!isMobile">
                <button class="button is-success has-left-margin" (click)="acceptParent(ask)">Accepter</button>
              </td>
              <td *ngIf="!isMobile">
                <button class="button is-danger has-left-margin" (click)="declineParent(ask)">Refuser</button>
              </td>
              <td *ngIf="isMobile">
                <div #DropNotif (click)="openActions(i)" class="dropdown has-margin-right-1">
                  <div class="dropdown-trigger">
                    <button class="button is-stats">
                      <span>Actions</span>
                    </button>
                  </div>
                  <div class="dropdown-menu" id="dropdown-menu" role="menu">
                    <div class="dropdown-content">
                      <div class="dropdown-item has-background-success" (click)="acceptParent(ask)">
                        <span [style.Color]="'white'">
                          Accepter
                        </span>
                      </div>
                      <div (click)="declineParent(ask)" class="dropdown-item has-background-danger">
                        <span [style.Color]="'white'">
                          Refuser
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
              </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
</div>
<div *ngIf="hasNoParent" class="has-text-center">
  <div class="is-flex is-centered">
    <p [className]="isMobile ? 'warning is-mobile' : 'warning is-desktop'">Tu n'as pour l'instant aucun parent ajouté.</p>
    <button (click)="openAddParent()()" class="button is-flex is-add-button">
      <img width="20px" class="has-margin-right-1" src="assets/images/plus.png"/>
      Ajouter un parent
    </button>
  </div>
</div>

<div *ngIf="hasParent" class="is-flex is-centered has-margin-top-1">
  <div [className]="isMobile ? 'background' : 'background width-60 is-flex is-centered'">
    <button (click)="openAddParent()" class="button has-margin-top-1 has-margin-bottom-1 is-add-button">
      <img width="20px" class="has-margin-right-1" src="assets/images/plus.png"/>
      <span>Ajouter un parent</span>
    </button>
    <table class="table font-2 has-margin-top-1 has-margin-bottom-1 has-margin-left-4 has-margin-right-4 size">
      <tbody>
        <tr *ngFor="let parent of listParent">
            <td>
              <img class="circle" width="60px" [src]="goPerso(parent.character)">
            </td>
            <td class="vertical-align">
                {{parent.name}}
            </td>
            <td *ngIf="!isMobile">
              <button [style.visibility]="'hidden'" (click)="askDelete(parent)" class="button is-rounded is-flex is-suppr"><img width="30px" class="has-margin-right-1" src="../../assets/images/poubelle.png">Supprimer</button>
            </td>
            <td>
              <button (click)="askDelete(parent)" class="button is-rounded is-flex is-suppr"><img width="30px" class="has-margin-right-1" src="../../assets/images/poubelle.png">Supprimer</button>
            </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>


<!--MODALS-->

<div #Add class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/profil.png">
        <p class="modal-card-title has-margin-top-1">Ajouter un parent</p>
      </div>
      <button (click)="cancel('add')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body">
      <div class="is-flex is-column is-align-center justify-center content">
        <form class="is-flex is-centered" [formGroup]="addForm">
          <app-password formControlName="username" [password]="'hidden'" [text]="'Pseudo de ton parent'"></app-password>
          <button *ngIf="addForm.valid" #SubmitButton [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" id="submit" (click)="addFriend()">Valider</button>
        </form>
      </div>

    </section>
  </div>
</div>

<div #Success class="modal">
<div class="modal-background"></div>
<div class="modal-card">
  <header class="modal-card-head">
    <div class="is-flex is-align-center is-column flex-grow-4">
      <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/send.png">
      <p class="modal-card-title has-margin-top-1">Invitation envoyée</p>
    </div>
    <button (click)="cancel('success')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
  </header>
  <section class="modal-card-body">
    <div class="is-flex is-column is-align-center justify-center content">
        <p class="is-modal-paragraph">L'invitation destinée à {{username}} a bien été envoyée !</p>
        <button [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" (click)="redirect()">Compris</button>
    </div>
  </section>
</div>
</div>

<div #Failure class="modal">
<div class="modal-background"></div>
<div class="modal-card">
  <header class="modal-card-head">
    <div class="is-flex is-align-center is-column flex-grow-4">
      <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/error.png">
      <p class="modal-card-title has-margin-top-1">une erreur est survenue !</p>
    </div>
    <button (click)="cancel('failure')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
  </header>
  <section class="modal-card-body">
    <div class="is-flex is-column is-align-center justify-center content">
        <p class="is-modal-paragraph">Il semble y avoir un problème.</p>
        <button [className]="isMobile ? 'button default-style failure-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop failure-style has-margin-top-1 has-margin-bottom-2'" (click)="redirect()">Réessayer</button>
    </div>
  </section>
</div>
</div>

<div #Warning class="modal">
<div class="modal-background"></div>
<div class="modal-card">
  <header class="modal-card-head">
    <div class="is-flex is-align-center is-column flex-grow-4">
      <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/warning.png">
      <p class="modal-card-title has-margin-top-1">Supprimer {{parentToDelete.name}} ?</p>
    </div>
    <button (click)="cancel('warning')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
  </header>
  <section class="modal-card-body">
    <div class="is-flex is-column is-align-center justify-center content">
        <p class="is-modal-paragraph"> Es-tu sûr de vouloir supprimer {{parentToDelete.name}} de tes parents ? Tu pourras toujours l'ajouter de nouveau si tu changes d'avis plus tard.</p>
        <div class="is-flex buttons">
          <button #SubmitButton2 [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" (click)="delete()">Confirmer</button>
          <button [className]="isMobile ? 'button default-style is-cancel has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop is-cancel has-margin-top-1 has-margin-bottom-2'" (click)="cancel('warning')">Annuler</button>
        </div>
    </div>
  </section>
</div>
</div>